/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.sample.job01;

import java.util.Date;
import jp.terasoluna.fw.batch.openapi.JobContext;

/**
 * ビジネスロジック、ジョブ前処理・ジョブ後処理で共有されるクラス。
 */
public class DBJobContext extends JobContext {

    /**
     * シリアルバージョンUID
     */
    private static final long serialVersionUID = 7098941906238531918L;

    /**
     * 運用日付
     */
    private Date unyohiduke = null;
 
    /**
     * 処理件数のカウント
     */
    private int count = 0;

    /**
     * 入金ファイル名
     */
    private String fileName;
    
    /**
     * パーティションキーを取得する
     * @return null
     */
    @Override
    public String getPartitionKey() {
    	return null;
    }
    
    
    /**
     * 起動パラメータを設定する。
     * @param args ファイル名を指定した起動パラメータ
     */
    @Override
    public void setParameter(String[] args) {
        //引数で指定したファイル名を設定
    	fileName =args[0];
    }

    /**
     * ファイル名を取得する。
     * @return ファイル名
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * 運用日付を返却する。
     * @return 運用日付
     */
    public Date getUnyohiduke() {
        return unyohiduke;
    }

    /**
     * 運用日付を設定する。
     * @param unyohiduke 運用日付
     */
    public void setUnyohiduke(Date unyohiduke) {
        this.unyohiduke = unyohiduke;
    }

    /**
     * 処理件数をカウントアップする。
     */
    public void incrementCount(){
    	count++;
    }
    
    /**
     * 処理件数を返却する。
     * @return 処理件数
     */
    public int getCount(){
    	return count;
    }
}